HaXml-1.25.3: Utilities for manipulating XML documents

Safe Haskell | Safe-Inferred
Language | Haskell98

Text.XML.HaXml.Schema.XSDTypeModel

# Documentation

data Schema

Constructors

Schema |

Fields

schema_elementFormDefault :: QForm
schema_attributeFormDefault :: QForm
schema_finalDefault :: Maybe Final
schema_blockDefault :: Maybe Block
schema_targetNamespace :: Maybe TargetNamespace
schema_version :: Maybe String
schema_namespaces :: [Namespace]
schema_items :: [SchemaItem]

Instances

Eq Schema |
Show Schema |
Monoid Schema |

data SchemaItem

Constructors

Include SchemaLocation Annotation |
Import URI SchemaLocation Annotation |
Redefine SchemaLocation [SchemaItem] |
Annotation Annotation |
Simple SimpleType |
Complex ComplexType |
SchemaElement ElementDecl |
SchemaAttribute AttributeDecl |
AttributeGroup AttrGroup |
SchemaGroup Group |

Instances

Eq SchemaItem |
Show SchemaItem |

data SimpleType

Constructors

Primitive |

Fields

simple_primitive :: PrimitiveType

Restricted |

Fields

simple_annotation :: Annotation
simple_name :: Maybe Name
simple_final :: Maybe Final
simple_restriction :: Restriction

ListOf |

Fields

simple_annotation :: Annotation
simple_name :: Maybe Name
simple_final :: Maybe Final
simple_type :: Either SimpleType QName

UnionOf |

Fields

simple_annotation :: Annotation
simple_name :: Maybe Name
simple_final :: Maybe Final
simple_union :: [SimpleType]
simple_members :: [QName]

Instances

Eq SimpleType |
Show SimpleType |

data Restriction

Constructors

RestrictSim1 |

Fields

restrict_annotation :: Annotation
restrict_base :: Maybe QName
restrict_r1 :: Restriction1

RestrictType |

Fields

restrict_annotation :: Annotation
restrict_base :: Maybe QName
restrict_type :: Maybe SimpleType
restrict_facets :: [Facet]

Instances

Eq Restriction |
Show Restriction |

data Facet

Constructors

Facet |

Fields

facet_facetType :: FacetType
facet_annotation :: Annotation
facet_facetValue :: String
facet_fixed :: Bool

Instances

Eq Facet |
Show Facet |

data FacetType

Constructors

OrderedBoundsMinIncl |
OrderedBoundsMinExcl |
OrderedBoundsMaxIncl |
OrderedBoundsMaxExcl |
OrderedNumericTotalDigits |
OrderedNumericFractionDigits |
UnorderedPattern |
UnorderedEnumeration |
UnorderedWhitespace |
UnorderedLength |
UnorderedMaxLength |
UnorderedMinLength |

Instances

Eq FacetType |
Show FacetType |

data ComplexType

Constructors

ComplexType |

Fields

complex_annotation :: Annotation
complex_name :: Maybe Name
complex_abstract :: Bool
complex_final :: Maybe Final
complex_block :: Maybe Block
complex_mixed :: Bool
complex_content :: ComplexItem

Instances

Eq ComplexType |
Show ComplexType |

data ComplexItem

Constructors

SimpleContent |

Fields

ci_annotation :: Annotation
ci_stuff :: Either Restriction1 Extension

ComplexContent |

Fields

ci_annotation :: Annotation
ci_mixed :: Bool
ci_stuff :: Either Restriction1 Extension

ThisType |

Fields

ci_thistype :: ParticleAttrs

Instances

Eq ComplexItem |
Show ComplexItem |

data Restriction1

Constructors

Restriction1 Particle |

Instances

Eq Restriction1 |
Show Restriction1 |

data Extension

Constructors

Extension |

Fields

extension_annotation :: Annotation
extension_base :: QName
extension_newstuff :: ParticleAttrs

Instances

Eq Extension |
Show Extension |

type Particle = Maybe (Either ChoiceOrSeq Group)

data ParticleAttrs

Constructors

PA Particle [Either AttributeDecl AttrGroup] (Maybe AnyAttr) |

Instances

Eq ParticleAttrs |
Show ParticleAttrs |

data Group

Constructors

Group |

Fields

group_annotation :: Annotation
group_nameOrRef :: Either Name QName
group_occurs :: Occurs
group_stuff :: Maybe ChoiceOrSeq

Instances

Eq Group |
Show Group |

data ChoiceOrSeq

Constructors

All Annotation [ElementDecl] |
Choice Annotation Occurs [ElementEtc] |
Sequence Annotation Occurs [ElementEtc] |

Instances

Eq ChoiceOrSeq |
Show ChoiceOrSeq |

data ElementEtc

Constructors

HasElement ElementDecl |
HasGroup Group |
HasCS ChoiceOrSeq |
HasAny Any |

Instances

Eq ElementEtc |
Show ElementEtc |

data Any

Constructors

Any |

Fields

any_annotation :: Annotation
any_namespace :: URI
any_processContents :: ProcessContents
any_occurs :: Occurs

Instances

Eq Any |
Show Any |

data AnyAttr

Constructors

AnyAttr |

Fields

anyattr_annotation :: Annotation
anyattr_namespace :: URI
anyattr_processContents :: ProcessContents

Instances

Eq AnyAttr |
Show AnyAttr |

data AttrGroup

Constructors

AttrGroup |

Fields

attrgroup_annotation :: Annotation
attrgroup_nameOrRef :: Either Name QName
attrgroup_stuff :: [Either AttributeDecl AttrGroup]

Instances

Eq AttrGroup |
Show AttrGroup |

data ElementDecl

Constructors

ElementDecl |

Fields

elem_annotation :: Annotation
elem_nameOrRef :: Either NameAndType QName
elem_occurs :: Occurs
elem_nillable :: Nillable
elem_substGroup :: Maybe QName
elem_abstract :: Bool
elem_final :: Maybe Final
elem_block :: Maybe Block
elem_form :: QForm
elem_content :: Maybe (Either SimpleType ComplexType)
elem_stuff :: [UniqueKeyOrKeyRef]

Instances

Eq ElementDecl |
Show ElementDecl |

data NameAndType

Constructors

NT |

Fields

theName :: Name
theType :: Maybe QName

Instances

Eq NameAndType |
Show NameAndType |

data AttributeDecl

Constructors

AttributeDecl |

Fields

attr_annotation :: Annotation
attr_nameOrRef :: Either NameAndType QName
attr_use :: Use
attr_defFixed :: Maybe (Either DefaultValue FixedValue)
attr_form :: QForm
attr_simpleType :: Maybe SimpleType

Instances

Eq AttributeDecl |
Show AttributeDecl |

data UniqueKeyOrKeyRef

Constructors

U Unique |
K Key |
KR KeyRef |

Instances

Eq UniqueKeyOrKeyRef |
Show UniqueKeyOrKeyRef |

data Unique

Constructors

Unique |

Fields

unique_annotation :: Annotation
unique_name :: Name
unique_selector :: Selector
unique_fields :: [Field]

Instances

Eq Unique |
Show Unique |

data Key

Constructors

Key |

Fields

key_annotation :: Annotation
key_name :: Name
key_selector :: Selector
key_fields :: [Field]

Instances

Eq Key |
Show Key |

data KeyRef

Constructors

KeyRef |

Fields

keyref_annotation :: Annotation
keyref_name :: Name
keyref_refer :: QName
keyref_selector :: Selector
keyref_fields :: [Field]

Instances

Eq KeyRef |
Show KeyRef |

data Selector

Constructors

Selector |

Fields

selector_annotation :: Annotation
selector_xpath :: String

Instances

Eq Selector |
Show Selector |

data Field

Constructors

Field |

Fields

field_annotation :: Annotation
field_xpath :: String

Instances

Eq Field |
Show Field |

data Occurs

Constructors

Occurs (Maybe Int) (Maybe Int) |

Instances

Eq Occurs |
Show Occurs |

data Use

Constructors

Required |
Optional |
Prohibited |

Instances

Eq Use |
Show Use |

data PrimitiveType

Constructors

String |
Boolean |
Decimal |
Float |
Double |
Duration |
DateTime |
Time |
Date |
GYearMonth |
GYear |
GMonthDay |
GDay |
GMonth |
Base64Binary |
HexBinary |
AnyURI |
QName |
Notation |

Instances

Eq PrimitiveType |
Show PrimitiveType |

data MyRestriction

Constructors

Range Occurs |
Pattern Regexp |
Enumeration [String] |

Instances

Eq MyRestriction |
Show MyRestriction |

type Mixed = Bool

type Nillable = Bool

type Fixed = Bool

data Annotation

Constructors

Documentation String |
AppInfo String |
NoAnnotation String |

Instances

Eq Annotation |
Show Annotation |
Monoid Annotation |

data QForm

Constructors

Qualified |
Unqualified |

Instances

Eq QForm |
Show QForm |

type TargetNamespace = URI

data Final

Constructors

NoExtension |
NoRestriction |
AllFinal |

Instances

Eq Final |
Show Final |

type Block = Final

data ProcessContents

Constructors

Skip |
Lax |
Strict |

Instances

Eq ProcessContents |
Show ProcessContents |

type SchemaLocation = String

type DefaultValue = String

type FixedValue = String

type Regexp = String

type URI = String

type TypeName = String